 qtiplot/python-sipcmd.py | 21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

diff --git a/qtiplot/python-sipcmd.py b/qtiplot/python-sipcmd.py
index f643194..d8d1ef2 100755
--- a/qtiplot/python-sipcmd.py
+++ b/qtiplot/python-sipcmd.py
@@ -27,6 +27,21 @@
 #                                                                          #
 ############################################################################
 
-from PyQt4 import pyqtconfig
-config = pyqtconfig.Configuration()
-print " ".join([config.sip_bin, "-I", config.pyqt_sip_dir, config.pyqt_sip_flags])
+from __future__ import print_function
+
+import os
+import sipconfig
+import PyQt4.QtCore
+
+try:
+	# >= 4.10
+	SIP_FLAGS = PyQt4.QtCore.PYQT_CONFIGURATION['sip_flags']
+except:
+	import PyQt4.pyqtconfig
+	SIP_FLAGS = PyQt4.pyqtconfig.Configuration().pyqt_sip_flags
+
+PYQT_SIP_DIR = os.path.join(sipconfig.Configuration().default_sip_dir, 'PyQt4')
+SIP_BIN = sipconfig.Configuration().sip_bin
+SIP_INC_DIR = sipconfig.Configuration().sip_inc_dir
+
+print(" ".join([SIP_BIN, "-I", PYQT_SIP_DIR, SIP_FLAGS]))

